Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.prover
Class SimplifyOutputSentinel

    java.lang.Object
      escjava.prover.SimplifyOutput
          escjava.prover.SimplifyOutputSentinel

public class SimplifyOutputSentinel
extends SimplifyOutput

Objects of this class represent the summary part of the normal output from Simplify: valid, invalid, or unknown.

See Also:
  `Simplify`, `CECEnum`, `SExp`

Field Summary
`(package private) int` | `number`

Fields inherited from class escjava.prover.SimplifyOutput
`COMMENT, COUNTEREXAMPLE, END, EXCEEDED_PROVER_KILL_ITER, EXCEEDED_PROVER_KILL_TIME, EXCEEDED_PROVER_SUBGOAL_KILL_ITER, EXCEEDED_PROVER_SUBGOAL_KILL_TIME, INVALID, kind, REACHED_CC_LIMIT, UNKNOWN, VALID, WARNING_TRIGGERLESS_QUANT`

Constructor Summary
`(package private)` | `SimplifyOutputSentinel(int kind, int number)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class escjava.prover.SimplifyOutput
`getKind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### number

    int number

Constructor Detail

### SimplifyOutputSentinel

    SimplifyOutputSentinel(int kind,
                           int number)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimplifyOutput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage